## python-netdisco 2.8.2

=== requirements.txt ===
zeroconf>=0.21.0
requests>=2.0
typing; python_version<'3.5'

## python-netdisco 2.3.0

=== debian/changelog ===
python-netdisco (2.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 29 Jan 2019 14:58:47 +0000

python-netdisco (2.2.0-1) unstable; urgency=low

  * Initial release (Closes: #916950)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 21 Dec 2018 20:01:06 +0000

=== debian/control ===
Source: python-netdisco
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-netdisco
Vcs-Git: https://salsa.debian.org/python-team/modules/python-netdisco.git
Homepage: https://github.com/home-assistant/netdisco


Package: python3-netdisco
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: Library to discover local devices and services (Python 3)
 This is a Python 3 library to discover local devices and services on the
 network. It allows one to scan on demand or offer a service that will scan the
 network in the background in a set interval.
 .
 Current methods of scanning:
 .
  - mDNS (includes Chromecast, Homekit)
  - uPnP
  - Plex Media Server using Good Day Mate protocol
  - Logitech Media Server discovery protocol
  - Daikin discovery protocol
  - Web OS discovery protocol

=== debian/watch ===
version=3
https://github.com/home-assistant/netdisco/releases /home-assistant/netdisco/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)

## python-netdisco 2.6.0

=== debian/changelog ===
python-netdisco (2.6.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Ruben Undheim ]
  * New upstream release
  * debian/control:
    - New standards version 4.4.0 - no changes
    - DH level 12

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 18 Oct 2019 22:44:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-netdisco
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-netdisco.git
 Homepage: https://github.com/home-assistant/netdisco

## python-netdisco 2.8.2

=== debian/changelog ===
python-netdisco (2.8.2-1) unstable; urgency=medium

  * New upstream version

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Ruben Undheim ]
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 16 Jan 2021 08:14:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: python-netdisco
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools
-Standards-Version: 4.4.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-netdisco
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-netdisco.git
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-netdisco
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-netdisco.git
 Homepage: https://github.com/home-assistant/netdisco
+Rules-Requires-Root: no
 
 
 Package: python3-netdisco

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r netdisco.egg-info

override_dh_install:
	dh_install
	$(RM) -r debian/python3-netdisco/usr/lib/python2*/

=== debian/watch ===
version=4
https://github.com/home-assistant/netdisco/releases /home-assistant/netdisco/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)

## python-netdisco 2.9.0

=== debian/changelog ===
python-netdisco (2.9.0-2) unstable; urgency=medium

  * Team upload.
  * Remove old Python2 workaround from debian/rules

 -- Alexandre Detiste <tchet@debian.org>  Sat, 19 Apr 2025 15:39:55 +0200

python-netdisco (2.9.0-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Fix uscan error.
  * New upstream release.
  * Use dh-sequence-python3.
  * Simplify some debhelper overrides.
  * Use pybuild-plugin-pyproject.
  * Switch to autopkgtest-pkg-pybuild.
  * Update various upstream URLs.

 -- Colin Watson <cjwatson@debian.org>  Wed, 19 Feb 2025 11:12:02 +0000

python-netdisco (2.8.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * debian/watch: Use GitHub /tags rather than /releases page.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 18:44:39 +0100

python-netdisco (2.8.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 17:17:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: python-netdisco
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-netdisco
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-netdisco.git
-Homepage: https://github.com/home-assistant/netdisco
+Homepage: https://github.com/home-assistant-libs/netdisco
 Rules-Requires-Root: no

=== debian/watch ===
version=4
https://github.com/home-assistant-libs/netdisco/tags /home-assistant-libs/netdisco/archive/refs/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)
